Skip to content

Get Beat Analysis

GET
/api/creative/plot/plotlines/{plotline_id}/beat-analysis

Compare a plotline’s actual beat positions vs its assigned beat sheet targets.

plotline_id
required
Plotline Id
string

Successful Response

BeatAnalysisResponse

Beat analysis response.

object
status
required
Status

Operation status

string
data
required
BeatAnalysisData

Analysis payload

object
template
required
BeatSheetTemplate

The assigned template

object
id
required
Id

Template UUID

string
projectId
Any of:
string
name
required
Name

Template name

string
description
Description

Template description

string
""
source
Source

Attribution (e.g. ‘Blake Snyder’)

string
""
createdAt
required
Createdat

Created timestamp (ms)

integer
modifiedAt
required
Modifiedat

Modified timestamp (ms)

integer
entries
required
Entries

Beat-by-beat comparison

Array<object>
BeatAnalysisEntry

Comparison of a plot point’s actual position vs. a beat sheet target.

object
beat
required
BeatSheetBeat

The target beat

object
id
required
Id

Beat UUID

string
templateId
required
Templateid

Parent template

string
name
required
Name

Beat name (e.g. ‘Catalyst’, ‘Midpoint’)

string
description
Description

Beat description

string
""
targetPercent
required
Targetpercent

Target position as % of story

number
<= 100
sortOrder
required
Sortorder

Sort position

integer
act
Any of:
integer
mappedPoint
Any of:
PlotPoint

A single plot point (beat) within a plotline.

object
id
required
Id

Plot point UUID

string
plotlineId
required
Plotlineid

Parent plotline

string
title
required
Title

Point title

string
description
Description

Point description

string
""
pointType
Pointtype

Beat type

string
default: beat
Allowed values: beat turning_point inciting_incident climax resolution setup escalation reversal
beatSheetPositionId
Any of:
string
intensity
Intensity

Arc intensity 0-100

integer
default: 50 <= 100
sortOrder
Sortorder

Sort position

integer
0
status
Status

Drafting status

string
default: planned
Allowed values: planned drafted revised final
notes
Notes

Private author notes

string
""
documentId
Any of:
string
wordCountTarget
Any of:
integer
povType
Any of:
string
Allowed values: first_person second_person third_limited third_omniscient third_objective multiple_first deep_third stream_of_consciousness unreliable
povEntityId
Any of:
string
sceneType
Any of:
string
Allowed values: scene sequel hybrid flashback vision dream
sceneOutcome
Any of:
string
Allowed values: success failure partial disaster yes_but no_and pyrrhic unexpected
sourceNodeType
Any of:
string
Allowed values: series book part act chapter scene beat
createdAt
required
Createdat

Created timestamp (ms)

integer
modifiedAt
required
Modifiedat

Modified timestamp (ms)

integer
actualPercent
Any of:
number
deviation
Any of:
number
coverage
required
Coverage

Percentage of beats with mapped points

number

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object